Bug 1025238 - pyparted test suite not executed in %check
pyparted test suite not executed in %check
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pyparted (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: David Cantrell
Release Test Team
:
Depends On:
Blocks: 1024724
  Show dependency treegraph
 
Reported: 2013-10-31 05:59 EDT by Alexander Todorov
Modified: 2014-06-18 04:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: pyparted-3.9-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:57:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-10-31 05:59:45 EDT
Description of problem:

See
https://fedoraproject.org/wiki/Packaging:Guidelines#Test_Suites


I don't see test suite being executed in %check but I see test and check Makefile targets.

Version-Release number of selected component (if applicable):
pyparted-3.9-3.el7.src.rpm
Comment 1 David Cantrell 2014-01-22 10:28:27 EST
There's still work to do on the test suite, which is really why I never enabled it in the first place.  I've made a couple of minor patches to move it along for 7.0.  I need to do more work on this upstream.
Comment 3 Ľuboš Kardoš 2014-02-17 11:07:15 EST
In version pyparted-3.9-7.el7.src.rpm spec file contains:

%check
make test

Moving to verified.
Comment 4 Ludek Smid 2014-06-13 05:57:19 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.